import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export function uploadFile(data) {
  return httpRequest.post('https://webapp-pub.oss-cn-beijing.aliyuncs.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

// 搜索紫荆用户
export function userSearch(params) {
  return httpRequest.get('/api/permissions/admin/v1/system/search-sso-users', { params })
}

// 获取当前用户角色
export function getUserRoles(params) {
  return httpRequest.get('/api/permissions/admin/v1/system/user-roles', { params })
}

// 获取当前用户权限
export function getUserPermissions(params) {
  return httpRequest.get('/api/permissions/admin/v1/system/user-permissions', { params })
}

/**
 * 获取成员列表
 */
export function getUserList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/users`, { params })
}
/**
 * 获取应用详情
 */
export function getApp(id, params) {
  return httpRequest.get(`/api/permissions/admin/v1/${id}/application`, { params })
}
