import httpRequest from '@/utils/axios'

/**
 * 获取角色列表
 */
export function getRoleList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/roles`, { params })
}

/**
 * 获取角色详情
 */
export function getRole(params) {
  return httpRequest.get(`/api/permissions/admin/v1/application/${params.id}/role`, { params })
}

/**
 * 创建角色
 */
export function createRole(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/role`, data)
}

/**
 * 修改角色
 */
export function updateRole(data) {
  return httpRequest.put(`/api/permissions/admin/v1/application/${data.id}/role`, data)
}

/**
 * 批量删除角色
 */
export function deleteRoles(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/batch-delete/roles`, data)
}

/**
 * 添加角色用户
 */
export function addRoleUsers(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/assign/users-to-role`, data)
}
/**
 * 获取角色用户
 */
export function getRoleUsers(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/assign/role-users`, { params })
}
/**
 * 删除角色用户
 */
export function deleteRoleUsers(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/assign/remove-role-users`, data)
}

/**
 * 获取权限列表
 */
export function getPermissionList(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/permissions`, { params })
}
/**
 * 获取角色所有权限
 */
export function getRolePermissions(params) {
  return httpRequest.get(`/api/permissions/admin/v1/${params.app_id}/application/assign/role-permissions`, { params })
}
/**
 * 更新角色权限
 */
export function updateRolePermissions(data) {
  return httpRequest.post(`/api/permissions/admin/v1/${data.app_id}/application/assign/permissions-to-role`, data)
}
